Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query
Interface FilterQueryType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  AdhocQueryQueryType, AssociationQueryType, AuditableEventQueryType, BranchType, ClassificationNodeQueryType, ClassificationQueryType, ClassificationSchemeQueryType, ExternalIdentifierQueryType, ExternalLinkQueryType, ExtrinsicObjectQueryType, FederationQueryType, InternationalStringBranchType, NotificationQueryType, OrganizationQueryType, PersonQueryType, QueryExpressionBranchType, RegistryObjectQueryType, RegistryPackageQueryType, RegistryQueryType, ServiceBindingQueryType, ServiceQueryType, SlotBranchType, SpecificationLinkQueryType, SubscriptionQueryType, UserQueryType

All Known Implementing Classes:
  AdhocQueryQueryTypeImpl, AssociationQueryTypeImpl, AuditableEventQueryTypeImpl, BranchTypeImpl, ClassificationNodeQueryTypeImpl, ClassificationQueryTypeImpl, ClassificationSchemeQueryTypeImpl, ExternalIdentifierQueryTypeImpl, ExternalLinkQueryTypeImpl, ExtrinsicObjectQueryTypeImpl, FederationQueryTypeImpl, FilterQueryTypeImpl, InternationalStringBranchTypeImpl, NotificationQueryTypeImpl, OrganizationQueryTypeImpl, PersonQueryTypeImpl, QueryExpressionBranchTypeImpl, RegistryObjectQueryTypeImpl, RegistryPackageQueryTypeImpl, RegistryQueryTypeImpl, ServiceBindingQueryTypeImpl, ServiceQueryTypeImpl, SlotBranchTypeImpl, SpecificationLinkQueryTypeImpl, SubscriptionQueryTypeImpl, UserQueryTypeImpl

    public interface FilterQueryType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Filter Query Type'.

The following features are supported:

- `Primary Filter`

See Also:
  `QueryPackage.getFilterQueryType()`

Method Summary
`FilterType` | `getPrimaryFilter()` Returns the value of the 'Primary Filter' containment reference.
`void` | `setPrimaryFilter(FilterType value)` Sets the value of the '`Primary Filter`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getPrimaryFilter

    FilterType getPrimaryFilter()

  Returns the value of the 'Primary Filter' containment reference.

  If the meaning of the 'Primary Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Primary Filter' containment reference.
  See Also:
    `setPrimaryFilter(FilterType)`, `QueryPackage.getFilterQueryType_PrimaryFilter()`

### setPrimaryFilter

    void setPrimaryFilter(FilterType value)

  Sets the value of the '`Primary Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Primary Filter' containment reference.
  See Also:
    `getPrimaryFilter()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD